List booked appointments
curl --request GET \
--url https://api.pineyard.ai/google/appointments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/google/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/appointments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"appointments": [
{
"id": "<string>",
"type": "SITE_VISIT",
"status": "BOOKED",
"scheduledFor": "<string>",
"timezone": "<string>",
"durationMinutes": 123,
"attendeeName": "<string>",
"attendeePhone": "<string>",
"location": "<string>",
"meetLink": "<string>",
"notes": "<string>",
"callId": "<string>",
"campaignId": "<string>",
"createdAt": "<string>"
}
]
}Google Calendar
List booked appointments
GET
/
google
/
appointments
List booked appointments
curl --request GET \
--url https://api.pineyard.ai/google/appointments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/google/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/appointments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"appointments": [
{
"id": "<string>",
"type": "SITE_VISIT",
"status": "BOOKED",
"scheduledFor": "<string>",
"timezone": "<string>",
"durationMinutes": 123,
"attendeeName": "<string>",
"attendeePhone": "<string>",
"location": "<string>",
"meetLink": "<string>",
"notes": "<string>",
"callId": "<string>",
"campaignId": "<string>",
"createdAt": "<string>"
}
]
}
